macOSSoftwareUpdateConfiguration の作成
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい macOSSoftwareUpdateConfiguration オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、macOSSoftwareUpdateConfiguration オブジェクトの JSON 表記を指定します。
次の表に、macOSSoftwareUpdateConfiguration を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 deviceConfiguration から継承します |
| lastModifiedDateTime | DateTimeOffset | オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します |
| roleScopeTagIds | String collection | この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します |
| supportsScopeTags | Boolean | 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | このポリシーの OS エディションの適用性。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | このポリシーの OS バージョンの適用ルール。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | このポリシーのデバイス モードの適用ルール。 deviceConfiguration から継承します |
| createdDateTime | DateTimeOffset | オブジェクトが作成された DateTime。 deviceConfiguration から継承します |
| description | String | 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します |
| displayName | String | 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します |
| version | Int32 | デバイス構成のバージョン。 deviceConfiguration から継承します |
| criticalUpdateBehavior | macOSSoftwareUpdateBehavior | 重要な更新プログラムの更新動作。 使用可能な値: notConfigured、default、downloadOnly、installASAP、notifyOnly、installLater。 |
| configDataUpdateBehavior | macOSSoftwareUpdateBehavior | 構成データ ファイルの更新の動作を更新します。 使用可能な値: notConfigured、default、downloadOnly、installASAP、notifyOnly、installLater。 |
| firmwareUpdateBehavior | macOSSoftwareUpdateBehavior | ファームウェア更新プログラムの更新動作。 使用可能な値: notConfigured、default、downloadOnly、installASAP、notifyOnly、installLater。 |
| allOtherUpdateBehavior | macOSSoftwareUpdateBehavior | 他のすべての更新プログラムの更新動作。 使用可能な値: notConfigured、default、downloadOnly、installASAP、notifyOnly、installLater。 |
| updateScheduleType | macOSSoftwareUpdateScheduleType | スケジュールの種類を更新します。 可能な値は alwaysUpdate、updateDuringTimeWindows、updateOutsideOfTimeWindows です。 |
| customUpdateTimeWindows | customUpdateTimeWindow コレクション | 更新プログラムが許可またはブロックされるカスタムタイム ウィンドウ。 このコレクションには、最大 20 の要素を含めできます。 |
| updateTimeWindowUtcOffsetInMinutes | Int32 | 更新タイム ウィンドウごとに UTC オフセットを示す分数 |
応答
成功した場合、このメソッドは応答コードと 201 Created 、応答本文の macOSSoftwareUpdateConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 1542
{
"@odata.type": "#microsoft.graph.macOSSoftwareUpdateConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"criticalUpdateBehavior": "default",
"configDataUpdateBehavior": "default",
"firmwareUpdateBehavior": "default",
"allOtherUpdateBehavior": "default",
"updateScheduleType": "updateDuringTimeWindows",
"customUpdateTimeWindows": [
{
"@odata.type": "microsoft.graph.customUpdateTimeWindow",
"startDay": "monday",
"endDay": "monday",
"startTime": "12:03:30.2730000",
"endTime": "12:03:02.3740000"
}
],
"updateTimeWindowUtcOffsetInMinutes": 2
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1714
{
"@odata.type": "#microsoft.graph.macOSSoftwareUpdateConfiguration",
"id": "b8e467ac-67ac-b8e4-ac67-e4b8ac67e4b8",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"criticalUpdateBehavior": "default",
"configDataUpdateBehavior": "default",
"firmwareUpdateBehavior": "default",
"allOtherUpdateBehavior": "default",
"updateScheduleType": "updateDuringTimeWindows",
"customUpdateTimeWindows": [
{
"@odata.type": "microsoft.graph.customUpdateTimeWindow",
"startDay": "monday",
"endDay": "monday",
"startTime": "12:03:30.2730000",
"endTime": "12:03:02.3740000"
}
],
"updateTimeWindowUtcOffsetInMinutes": 2
}
フィードバック
フィードバックの送信と表示